> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/general/control/wisej.web.mouseeventhandler.md).

# MouseEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the method that will handle the MouseDown, MouseUp, or MouseMove event of a form, control, or other component.

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void MouseEventHandler(Object sender, MouseEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub MouseEventHandler(ByVal sender As [Object], ByVal e As MouseEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                         | Description                                                                                                  |
| ---------- | ---------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------ |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                | The source of the event.                                                                                     |
| **e**      | [MouseEventArgs](/api/wisej.web/general/control/wisej.web.mouseeventargs.md) | A [MouseEventArgs](/api/wisej.web/general/control/wisej.web.mouseeventargs.md) that contains the event data. |

## Fired By

| Name                                                                                     | Description                                                                                                               |
| ---------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| [CheckedListBox.MouseClick](/api/wisej.web/lists-and-grids/checkedlistbox.md#mouseclick) | Fired when the user clicks the [CheckedListBox](/api/wisej.web/lists-and-grids/checkedlistbox.md) control with the mouse. |
| [Control.MouseClick](/api/wisej.web/general/control.md#mouseclick)                       | Fired when the control is clicked by the mouse.                                                                           |
| [Control.MouseDoubleClick](/api/wisej.web/general/control.md#mousedoubleclick)           | Fired when the control is double clicked by the mouse.                                                                    |
| [Control.MouseDown](/api/wisej.web/general/control.md#mousedown)                         | Fired when the mouse pointer is over the control and a mouse button is pressed.                                           |
| [Control.MouseMove](/api/wisej.web/general/control.md#mousemove)                         | Fired when the mouse pointer is moved over the control.                                                                   |
| [Control.MouseUp](/api/wisej.web/general/control.md#mouseup)                             | Fired when the mouse pointer is over the control and a mouse button is released.                                          |
| [Control.MouseWheel](/api/wisej.web/general/control.md#mousewheel)                       | Fired when the mouse wheel moves while the control has focus.                                                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/control/wisej.web.mouseeventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
